Subject: RE: P/N G12BP Bar's Leaks Radiator Stop Leak for Cat 3208

From: Fred Mannix <[email-masked]>
Date: Tue, 1 Aug 2017 13:25:45 +0000

Hi Albert,

Thank you for writing to Bar’s Leaks Technical Support with your question on using our part number G12BP Radiator Stop Leak in your CAT 3208. Yes the product can be used, if there is an in line water filter you should by pass it for a week or two so the sealing particles can reach the leak.

If we can provide any further assistance, please do not hesitate to email or contact us at 800-345-6572. We can be reached M-F, from 8 am to 5 pm EST.
Kind regards,
Fred Mannix | Quality Control Mgr & Product Specialist
Bar's Products, Inc.
800-345-6572
810-603-1335 (fax)
[email-masked]<mailto:[email-masked]>

From: barsleaks.com [mailto:[email-masked]]
Sent: Thursday, July 27, 2017 4:15 PM
To: Support Barsleaks <[email-masked]>
Subject: New submission from Contact Us

Name

Albert Sanowskis

City & State

Ocala, FL

Zip Code

32686

Email

[email-masked]<mailto:[email-masked]>

I'm contacting about:

Product Question

Product I'm contacting about:

Powder Radiator Stop Leak & Conditioner (G12BP)

Where did you hear about our products?

Website

Message

With your stop leak work on a marine heat exchanger with a pinhole leak? This is a CAT 3208 diesel. Extended life coolant on the engine side and salt water on the other side. I suspect your product only works when the leak is exposed to air?

Thanks in advance.

Where did you purchase our product?

Other